Bug 418999 - Krita with wrong zip headers cannot be viewed in scribus
Summary: Krita with wrong zip headers cannot be viewed in scribus
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: File formats (show other bugs)
Version: nightly build (please specify the git hash!)
Platform: macOS (DMG) macOS
: NOR normal
Target Milestone: ---
Assignee: Halla Rempt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-18 19:11 UTC by Manga Tengu
Modified: 2020-05-04 23:56 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Manga Tengu 2020-03-18 19:11:55 UTC
Some kra files can't be viewed in scribus when inserted there.

drag and drop the following kra file in scribus:
https://filebin.net/blnehkvmndquf7ee/Lineage_c005_p13.kra?t=52r8dsgz

The file doesn't show in scribus which says "image not found"
I talked to the guys over scribus and opened a ticket where they mentioned the malformed zip header:
https://bugs.scribus.net/view.php?id=16067


EXPECTED RESULT
The mergedImage should show in scribus

SOFTWARE/OS VERSIONS
krita 4.3.0-prealpha git 9dffafb
macOS: Catalina 10.15.3 (19D76)


ADDITIONAL INFORMATION
At first I thought it was a size issue and resizing the canvas to a smaller size did help. But I had inconsistent results.
Comment 1 wolthera 2020-04-24 12:37:09 UTC
Assigning this to boud.
Comment 2 Halla Rempt 2020-05-04 10:12:16 UTC
Since 4.2.3, we only use quazip, and karchive isn't used anymore. I've created a couple of images and the latests scribus appimage could open all of them.
Comment 3 Manga Tengu 2020-05-04 23:56:42 UTC
The base file I use (duplicate it x times to make my pages, was created a few years ago. Maybe that's the issue.) I'll make a new file and try with that